VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
ViewListenerAdapter Class Reference

View Listener Interface Adapter. More...

`#include <iviewlistener.h>`

Inheritance diagram for ViewListenerAdapter:

## Public Member Functions
void | viewSizeChanged (CView *view, const CRect &oldSize) override
| called when the view's size changed More...
void | viewAttached (CView *view) override
| called when a view was attached to a view hierarchy More...
void | viewRemoved (CView *view) override
| called when a view was removed from the view hierarchy More...
void | viewLostFocus (CView *view) override
| called when a view lost focus More...
void | viewTookFocus (CView *view) override
| called when a view took focus More...
void | viewWillDelete (CView *view) override
| called when a view is going to be destroyed More...
void | viewOnMouseEnabled (CView *view, bool state) override
| called when a view's mouse handling is enabled or disabled More...
Public Member Functions inherited from IViewListener
virtual | ~IViewListener () noexcept=default
virtual void | viewSizeChanged (CView *view, const CRect &oldSize)=0
| called when the view's size changed More...
virtual void | viewAttached (CView *view)=0
| called when a view was attached to a view hierarchy More...
virtual void | viewRemoved (CView *view)=0
| called when a view was removed from the view hierarchy More...
virtual void | viewLostFocus (CView *view)=0
| called when a view lost focus More...
virtual void | viewTookFocus (CView *view)=0
| called when a view took focus More...
virtual void | viewWillDelete (CView *view)=0
| called when a view is going to be destroyed More...
virtual void | viewOnMouseEnabled (CView *view, bool state)=0
| called when a view's mouse handling is enabled or disabled More...

## Detailed Description

View Listener Interface Adapter.

## Member Function Documentation

## ◆ viewAttached()

void viewAttached | ( | CView * | view | ) |
| inline override virtual

called when a view was attached to a view hierarchy

Implements IViewListener.

## ◆ viewLostFocus()

void viewLostFocus | ( | CView * | view | ) |
| inline override virtual

called when a view lost focus

Implements IViewListener.

## ◆ viewOnMouseEnabled()

void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state
| ) |  |
| inline override virtual

called when a view's mouse handling is enabled or disabled

Implements IViewListener.

## ◆ viewRemoved()

void viewRemoved | ( | CView * | view | ) |
| inline override virtual

called when a view was removed from the view hierarchy

Implements IViewListener.

## ◆ viewSizeChanged()

void viewSizeChanged | ( | CView * | view,
|  | const CRect & | oldSize
| ) |  |
| inline override virtual

called when the view's size changed

Implements IViewListener.

## ◆ viewTookFocus()

void viewTookFocus | ( | CView * | view | ) |
| inline override virtual

called when a view took focus

Implements IViewListener.

## ◆ viewWillDelete()

void viewWillDelete | ( | CView * | view | ) |
| inline override virtual

called when a view is going to be destroyed

Implements IViewListener.

The documentation for this class was generated from the following file:

- iviewlistener.h